const models = require(process.cwd());
const ChecklistFactory = require('./factories/Checklist');
const DocumentCategories = require('./factories/DocumentCategories');

test('should have the correct schema', async () => {
  const checklist = await ChecklistFactory();
  expect(ChecklistFactory.validate(checklist.toJSON())).toBeTruthy();
});

test('should have a correct schema if DocumentCategories is included', async () => {
  const { id } = await ChecklistFactory();

  const checklist = await models.Checklist.findOne({
    where: {
      id,
    },
    include: [
      {
        model: models.DocumentCategories,
      },
    ],
  });

  expect(ChecklistFactory.validate(checklist.toJSON())).toBeTruthy();

  const { documentCategory } = checklist;
  expect(DocumentCategories.validate(documentCategory.toJSON())).toBeTruthy();
});