const models = require(process.cwd());
const CommentsFactory = require('./factories/Comments');
const LoansFactory = require('./factories/Loans');

test('should have the correct schema', async () => {
  const comment = await CommentsFactory();
  expect(CommentsFactory.validate(comment.toJSON())).toBeTruthy();
});

/*
  problem:
    Comments has loanId but its nullable
*/
test.skip('should have a correct schema if Loans is included', async () => {
  const loan = await LoansFactory();
  const { id } = await CommentsFactory({ loanId: loan.id });

  const comment = await models.Comments.findOne({
    where: {
      id,
    },
    include: [
      {
        model: models.Loans,
      },
    ],
  });

  expect(CommentsFactory.validate(comment.toJSON())).toBeTruthy();

  expect(LoansFactory.validate(comment.loan.toJSON())).toBeTruthy();
});