const models = require(process.cwd());
const ContactMetadataFactory = require('./factories/ContactMetadata');
const ContactsFactory = require('./factories/Contacts');

test('should have the correct schema', async () => {
  const cm = await ContactMetadataFactory();
  expect(ContactMetadataFactory.validate(cm.toJSON())).toBeTruthy();
});

test('should have a correct schema if Contacts is included', async () => {
  const { id } = await ContactMetadataFactory();

  const cm = await models.ContactMetadata.findOne({
    where: {
      id,
    },
    include: [
      { model: models.Contacts },
    ],
  });

  expect(ContactMetadataFactory.validate(cm.toJSON())).toBeTruthy();

  const { contact } = cm;
  expect(ContactsFactory.validate(contact.toJSON())).toBeTruthy();
});

