const models = require(process.cwd());
const DefaultQuickSelectListFactory = require('./factories/DefaultQuickSelectList');
const QuickSelectListFactory = require('./factories/QuickSelectLists');

test('should have the correct schema', async () => {
  const dqsl = await DefaultQuickSelectListFactory();
  expect(DefaultQuickSelectListFactory.validate(dqsl.toJSON())).toBeTruthy();
});


test('should have a correct schema if QuickSelectList is included', async () => {
  const { id: quickSelectListId } = await QuickSelectListFactory();
  const { id } = await DefaultQuickSelectListFactory({ quickSelectListId });

  const dqsl = await models.DefaultQuickSelectList.findOne({
    where: { id },
    include: [
      { model: models.QuickSelectLists },
    ],
  });

  expect(DefaultQuickSelectListFactory.validate(dqsl.toJSON())).toBeTruthy();
  expect(QuickSelectListFactory.validate(dqsl.quickSelectList.toJSON())).toBeTruthy();
});