const models = require(process.cwd());
const LoanDocumentRequestsFactory = require('./factories/LoanDocumentRequests');
const LoansFactory = require('./factories/Loans');
const DocumentRequestsFactory = require('./factories/DocumentRequests');

test('should have the correct schema', async () => {
  const ldr = await LoanDocumentRequestsFactory();
  expect(LoanDocumentRequestsFactory.validate(ldr.toJSON())).toBeTruthy();
});

// model has nullable reference but not used anywhere for eager loading
test.skip('should have a correct schema if Loans is included', async () => {
  const { id } = await LoanDocumentRequestsFactory();

  const ldr = await models.LoanDocumentRequests.findOne({
    where: {
      id,
    },
    include: [
      {
          model: models.Loans,
      },
    ],
  });

  expect(LoanDocumentRequestsFactory.validate(ldr.toJSON())).toBeTruthy();

  const { loan } = ldr;
  expect(LoansFactory.validate(loan.toJSON())).toBeTruthy();
});

// model has nullable reference but not used anywhere for eager loading
test.skip('should have a correct schema if DocumentRequests is included', async () => {
  const { id } = await LoanDocumentRequestsFactory();

  const ldr = await models.LoanDocumentRequests.findOne({
    where: {
      id,
    },
    include: [
      {
          model: models.DocumentRequests,
      },
    ],
  });

  expect(LoanDocumentRequestsFactory.validate(ldr.toJSON())).toBeTruthy();

  const { documentRequest } = cdr;
  expect(DocumentRequestsFactory.validate(documentRequest.toJSON())).toBeTruthy();
});