const models = require(process.cwd());
const UploadedDocumentsFactory = require('./factories/UploadedDocuments');
const RequestedDocumentsFactory = require('./factories/RequestedDocuments');

test('should have the correct schema', async () => {
  const ud = await UploadedDocumentsFactory();
  expect(UploadedDocumentsFactory.validate(ud.toJSON())).toBeTruthy();
});

test('should have a correct schema if DocumentRequests is included', async () => {
  const { id } = await UploadedDocumentsFactory();

  const ud = await models.UploadedDocuments.findOne({
    where: { id },
    include: [
      { model: models.RequestedDocuments },
    ],
  });

  expect(UploadedDocumentsFactory.validate(ud.toJSON())).toBeTruthy();
  expect(RequestedDocumentsFactory.validate(ud.requestedDocument.toJSON())).toBeTruthy();
});
