const faker = require('faker');
const validate = require('validate');
const models = require(process.cwd());

const LoansFactory = require('./Loans');

const data = async (props = {}) => {
  let loanId;
  if (!props.loanId) {
    ({ id: loanId } = await LoansFactory());
  }

  const defaultProps = {
    externalGuid: faker.random.uuid(),
    loanId,
    requestStarted: false,
    lastRun: new Date(),
  };

  return {
    ...defaultProps,
    ...props,
  }
};

const schema = new validate({
  id: {
    type: String,
    required: true,
  },
  externalGuid: {
    type: String,
    required: true,
  },
  loanId: {
    type: String,
    required: false,
  },
  requestStarted: {
    type: Boolean,
    required: false,
  },
  lastRun: {
    type: Date,
    required: false,
  },
  createdAt: {
    type: Date,
    required: false,
  },
  updatedAt: {
    type: Date,
    required: false,
  },
  deletedAt: {
    type: Date,
    required: false,
  },
});

module.exports = async (props = {}) => {
  return models.DocumentRequests.create(await data(props));
}

module.exports.validate = (instance) => schema.validate(instance);