const faker = require('faker');
const validate = require('validate');
const models = require(process.cwd());

const data = async (props = {}) => {
  const defaultProps = {
    externalGuid: faker.random.uuid(),
    display: faker.hacker.verb(),
    value: faker.finance.amount(),
    sortOrder: 1,
  };

  return {
    ...defaultProps,
    ...props,
  }
};

const schema = new validate({
  id: {
    type: String,
    required: true,
  },
  externalGuid: {
    type: String,
    required: true,
  },
  display: {
    type: String,
    required: true,
  },
  value: {
    type: String,
    required: true,
  },
  createdAt: {
    type: Date,
    required: true,
  },
  updatedAt: {
    type: Date,
    required: true,
  },
  deletedAt: {
    type: Date,
    required: false,
  },
  sortOrder: {
    type: Number,
    required: false,
  },
});

module.exports = async (props = {}) => {
  return models.LoanStatuses.create(await data(props));
}

module.exports.validate = (instance) => schema.validate(instance);