const faker = require('faker');
const validate = require('validate');
const models = require(process.cwd());

const data = async (props = {}) => {
  const defaultProps = {
    externalGuid: faker.random.uuid(),
    code: faker.random.uuid().slice(0,9),
    name: faker.hacker.noun(),
  };

  return {
    ...defaultProps,
    ...props,
  }
};

const schema = new validate({
  id: {
    type: String,
    required: true,
  },
  externalGuid: {
    type: String,
    required: true,
  },
  code: {
    type: String,
    required: false,
  },
  name: {
    type: String,
    required: false,
  },
  createdAt: {
    type: Date,
    required: false, // this should be true but the model says allowNull
  },
  updatedAt: {
    type: Date,
    required: false, // this should be true but the model says allowNull
  },
  deletedAt: {
    type: Date,
    required: false,
  },
});

module.exports = async (props = {}) => {
  return models.PrepaymentPenalties.create(await data(props));
}

module.exports.validate = (instance) => schema.validate(instance);
