const faker = require('faker');
const validate = require('validate');
const models = require(process.cwd());

const data = async (props = {}) => {
  const defaultProps = {
    externalGuid: faker.random.uuid(),
    name: faker.commerce.productName(),
    description: faker.lorem.sentence(),
    isDefaultChecklist: true,
    createdBy: faker.name.firstName(),
  };

  return {
    ...defaultProps,
    ...props,
  }
};

const schema = new validate({
  id: {
    type: String,
    required: true,
  },
  externalGuid: {
    type: String,
    required: true,
  },
  name: {
    type: String,
    required: true,
  },
  description: {
    type: String,
    required: false,
  },
  createdAt: {
    type: Date,
    required: true,
  },
  updatedAt: {
    type: Date,
    required: true,
  },
  deletedAt: {
    type: Date,
    required: false,
  },
  isDefaultChecklist: {
    type: Boolean,
    required: false,
  },
  createdBy: {
    type: String,
    required: false,
  },
});

module.exports = async (props = {}) => {
  return models.QuickSelectLists.create(await data(props));
}

module.exports.validate = (instance) => schema.validate(instance);