-- The MASTER-DDL.sql contains all the database schema
-- Its used to recreate the whole database from scratch and create the necessary tables, constraints, indexes, sps, etc.

USE [master]

/****** Object:  Database [DocumentDb]    Script Date: 5/18/2017 3:50:35 PM ******/
CREATE DATABASE [DocumentDb]
GO

USE [DocumentDb]
GO

USE [DocumentDb]
GO
/****** Object:  Table [dbo].[Borrowers]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Borrowers](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[ContactId] [bigint] NOT NULL,
	[LoanId] [bigint] NOT NULL,
	[IsPrimary] [bit] NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_Borrowers] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Checklist]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Checklist](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[DocumentCategoryId] [bigint] NOT NULL,
	[DocumentCode] [nvarchar](10) NOT NULL,
	[DocumentName] [nvarchar](250) NULL,
	[IsDeleted] [bit] NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_Checklist] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Comments]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Comments](
	[Id] [bigint] NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[RequestedDocumentId] [bigint] NOT NULL,
	[CommentText] [nvarchar](500) NULL,
	[CommenterId] [bigint] NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_Comments] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Contacts]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Contacts](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Firstname] [nvarchar](50) NULL,
	[Middlename] [nvarchar](50) NULL,
	[Lastname] [nvarchar](50) NULL,
	[PrimaryEmail] [nvarchar](50) NULL,
	[PrimaryContactNumber] [nvarchar](50) NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_Contacts] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[DocumentCategories]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DocumentCategories](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Category] [nvarchar](150) NOT NULL,	
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_DocumentCategories] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[DocumentRequests]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DocumentRequests](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[LoanId] [bigint] NOT NULL,
	[RequestStarted] [bit] NULL,
	[LastRun] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_DocumentRequests] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[DocumentStatuses]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DocumentStatuses](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Display] [nvarchar](250) NOT NULL,
	[Value] [nvarchar](50) NOT NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_DocumentStatuses] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Loans]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Loans](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[PropertyDetailId] [bigint] NULL,
	[LoanAmount] [bigint] NULL,
	[Status] [nvarchar](50) NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_Loans] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[LoanStatuses]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LoanStatuses](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Display] [nvarchar](250) NOT NULL,
	[Value] [nvarchar](50) NOT NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_LoanStatuses] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[PropertyDetails]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PropertyDetails](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](50) NULL,
	[Address] [nvarchar](150) NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_PropertyDetails] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[QuickSelectDocuments]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[QuickSelectDocuments](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[QuickSelectId] [bigint] NOT NULL,
	[ChecklistId] [bigint] NOT NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_QuickSelectDocuments] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[QuickSelectLists]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[QuickSelectLists](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[Description] [nvarchar](500) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_QuickSelectLists] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[RequestedDocuments]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[RequestedDocuments](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[ChecklistId] [bigint] NOT NULL,
	[DocumentRequestId] [bigint] NOT NULL,
	[Status] [nvarchar](50) NOT NULL,
	[ApprovedOn] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[DeleteddAt] [datetime2](7) NULL,
 CONSTRAINT [PK_RequestedDocuments] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[UploadedDocuments]    Script Date: 6/12/2017 3:36:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[UploadedDocuments](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[RequestedDocumentId] [bigint] NOT NULL,
	[Originalname] [nvarchar](150) NULL,
	[Encoding] [nvarchar](50) NULL,
	[Mimetype] [nvarchar](50) NULL,
	[Destination] [nvarchar](250) NULL,
	[Filename] [nvarchar](150) NULL,
	[Path] [nvarchar](150) NULL,
	[Size] [bigint] NULL,
	[CreatedAt] [datetime2](7) NULL,
	[UpdatedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_UploadedDocuments] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[Borrowers] ADD  CONSTRAINT [DF_Borrowers_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[Borrowers] ADD  CONSTRAINT [DF_Borrowers_IsPrimary]  DEFAULT ((1)) FOR [IsPrimary]
GO
ALTER TABLE [dbo].[Borrowers] ADD  CONSTRAINT [DF_Borrowers_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[Borrowers] ADD  CONSTRAINT [DF_Borrowers_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[Checklist] ADD  CONSTRAINT [DF_Checklist_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[Comments] ADD  CONSTRAINT [DF_Comments_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[Comments] ADD  CONSTRAINT [DF_Comments_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[Comments] ADD  CONSTRAINT [DF_Comments_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[Contacts] ADD  CONSTRAINT [DF_Contacts_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[Contacts] ADD  CONSTRAINT [DF_Contacts_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[Contacts] ADD  CONSTRAINT [DF_Contacts_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[DocumentCategories] ADD  CONSTRAINT [DF_DocumentCategories_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[DocumentCategories] ADD  CONSTRAINT [DF_DocumentCategories_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[DocumentCategories] ADD  CONSTRAINT [DF_DocumentCategories_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[DocumentRequests] ADD  CONSTRAINT [DF_DocumentRequests_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[DocumentRequests] ADD  CONSTRAINT [DF_DocumentRequests_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[DocumentRequests] ADD  CONSTRAINT [DF_DocumentRequests_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[DocumentStatuses] ADD  CONSTRAINT [DF_DocumentStatuses_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[DocumentStatuses] ADD  CONSTRAINT [DF_DocumentStatuses_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[DocumentStatuses] ADD  CONSTRAINT [DF_DocumentStatuses_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[Loans] ADD  CONSTRAINT [DF_Loans_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[Loans] ADD  CONSTRAINT [DF_Loans_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[Loans] ADD  CONSTRAINT [DF_Loans_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[LoanStatuses] ADD  CONSTRAINT [DF_LoanStatuses_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[LoanStatuses] ADD  CONSTRAINT [DF_LoanStatuses_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[LoanStatuses] ADD  CONSTRAINT [DF_LoanStatuses_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[PropertyDetails] ADD  CONSTRAINT [DF_PropertyDetails_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[PropertyDetails] ADD  CONSTRAINT [DF_PropertyDetails_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[PropertyDetails] ADD  CONSTRAINT [DF_PropertyDetails_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[QuickSelectDocuments] ADD  CONSTRAINT [DF_QuickSelectDocuments_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[QuickSelectDocuments] ADD  CONSTRAINT [DF_QuickSelectDocuments_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[QuickSelectDocuments] ADD  CONSTRAINT [DF_QuickSelectDocuments_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[QuickSelectLists] ADD  CONSTRAINT [DF_QuickSelectLists_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[QuickSelectLists] ADD  CONSTRAINT [DF_QuickSelectLists_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[RequestedDocuments] ADD  CONSTRAINT [DF_RequestedDocuments_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[RequestedDocuments] ADD  CONSTRAINT [DF_RequestedDocuments_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[RequestedDocuments] ADD  CONSTRAINT [DF_RequestedDocuments_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[UploadedDocuments] ADD  CONSTRAINT [DF_UploadedDocuments_ExternalGuid]  DEFAULT (newid()) FOR [ExternalGuid]
GO
ALTER TABLE [dbo].[UploadedDocuments] ADD  CONSTRAINT [DF_UploadedDocuments_CreatedAt]  DEFAULT (getdate()) FOR [CreatedAt]
GO
ALTER TABLE [dbo].[UploadedDocuments] ADD  CONSTRAINT [DF_UploadedDocuments_UpdatedAt]  DEFAULT (getdate()) FOR [UpdatedAt]
GO
ALTER TABLE [dbo].[Borrowers]  WITH CHECK ADD  CONSTRAINT [FK_Borrowers_Contacts] FOREIGN KEY([ContactId])
REFERENCES [dbo].[Contacts] ([Id])
GO
ALTER TABLE [dbo].[Borrowers] CHECK CONSTRAINT [FK_Borrowers_Contacts]
GO
ALTER TABLE [dbo].[Borrowers]  WITH CHECK ADD  CONSTRAINT [FK_Borrowers_Loans] FOREIGN KEY([LoanId])
REFERENCES [dbo].[Loans] ([Id])
GO
ALTER TABLE [dbo].[Borrowers] CHECK CONSTRAINT [FK_Borrowers_Loans]
GO
ALTER TABLE [dbo].[Checklist]  WITH CHECK ADD  CONSTRAINT [FK_Checklist_DocumentCategories] FOREIGN KEY([DocumentCategoryId])
REFERENCES [dbo].[DocumentCategories] ([Id])
GO
ALTER TABLE [dbo].[Checklist] CHECK CONSTRAINT [FK_Checklist_DocumentCategories]
GO
ALTER TABLE [dbo].[Comments]  WITH CHECK ADD  CONSTRAINT [FK_Comments_RequestedDocuments] FOREIGN KEY([RequestedDocumentId])
REFERENCES [dbo].[RequestedDocuments] ([Id])
GO
ALTER TABLE [dbo].[Comments] CHECK CONSTRAINT [FK_Comments_RequestedDocuments]
GO
ALTER TABLE [dbo].[DocumentRequests]  WITH CHECK ADD  CONSTRAINT [FK_DocumentRequests_Loans] FOREIGN KEY([LoanId])
REFERENCES [dbo].[Loans] ([Id])
GO
ALTER TABLE [dbo].[DocumentRequests] CHECK CONSTRAINT [FK_DocumentRequests_Loans]
GO
ALTER TABLE [dbo].[Loans]  WITH CHECK ADD  CONSTRAINT [FK_Loans_PropertyDetails] FOREIGN KEY([PropertyDetailId])
REFERENCES [dbo].[PropertyDetails] ([Id])
GO
ALTER TABLE [dbo].[Loans] CHECK CONSTRAINT [FK_Loans_PropertyDetails]
GO
ALTER TABLE [dbo].[QuickSelectDocuments]  WITH CHECK ADD  CONSTRAINT [FK_QuickSelectDocuments_Checklist] FOREIGN KEY([ChecklistId])
REFERENCES [dbo].[Checklist] ([Id])
GO
ALTER TABLE [dbo].[QuickSelectDocuments] CHECK CONSTRAINT [FK_QuickSelectDocuments_Checklist]
GO
ALTER TABLE [dbo].[QuickSelectDocuments]  WITH CHECK ADD  CONSTRAINT [FK_QuickSelectDocuments_QuickSelectLists] FOREIGN KEY([QuickSelectId])
REFERENCES [dbo].[QuickSelectLists] ([Id])
GO
ALTER TABLE [dbo].[QuickSelectDocuments] CHECK CONSTRAINT [FK_QuickSelectDocuments_QuickSelectLists]
GO
ALTER TABLE [dbo].[RequestedDocuments]  WITH CHECK ADD  CONSTRAINT [FK_RequestedDocuments_Checklist] FOREIGN KEY([ChecklistId])
REFERENCES [dbo].[Checklist] ([Id])
GO
ALTER TABLE [dbo].[RequestedDocuments] CHECK CONSTRAINT [FK_RequestedDocuments_Checklist]
GO
ALTER TABLE [dbo].[RequestedDocuments]  WITH CHECK ADD  CONSTRAINT [FK_RequestedDocuments_DocumentRequests] FOREIGN KEY([DocumentRequestId])
REFERENCES [dbo].[DocumentRequests] ([Id])
GO
ALTER TABLE [dbo].[RequestedDocuments] CHECK CONSTRAINT [FK_RequestedDocuments_DocumentRequests]
GO
ALTER TABLE [dbo].[UploadedDocuments]  WITH CHECK ADD  CONSTRAINT [FK_UploadedDocuments_RequestedDocuments] FOREIGN KEY([RequestedDocumentId])
REFERENCES [dbo].[RequestedDocuments] ([Id])
GO
ALTER TABLE [dbo].[UploadedDocuments] CHECK CONSTRAINT [FK_UploadedDocuments_RequestedDocuments]
GO
