/***************
     Release Changeset for Milk Duds - LM Phase 1
***************/


/****** Object:  Table [dbo].[Recourses] ******/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'Recourses'))
BEGIN	

CREATE TABLE [dbo].[Recourses](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Code] [varchar](50) NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_Recourses] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_Recourses] UNIQUE NONCLUSTERED 
(
	[Code] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

END

GO

/****** Object:  Table [dbo].[RateLocks] ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'RateLocks'))
BEGIN	

CREATE TABLE [dbo].[RateLocks](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Code] [varchar](50) NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_RateLocks] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_RateLocks] UNIQUE NONCLUSTERED 
(
	[Code] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

END
GO

/****** Object:  Table [dbo].[PropertyTypes] ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'PropertyTypes'))
BEGIN	

CREATE TABLE [dbo].[PropertyTypes](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Code] [varchar](50) NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_PropertyTypes] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_PropertyTypes] UNIQUE NONCLUSTERED 
(
	[Code] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

END

GO

/****** Object:  Table [dbo].[ExecutionTypes] ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'ExecutionTypes'))
BEGIN	

CREATE TABLE [dbo].[ExecutionTypes](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Code] [varchar](50) NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_ExecutionTypes] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_ExecutionTypes] UNIQUE NONCLUSTERED 
(
	[Code] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

END

GO

/****** Object:  Table [dbo].[PrepaymentPenalties] ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'PrepaymentPenalties'))
BEGIN	

CREATE TABLE [dbo].[PrepaymentPenalties](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Code] [varchar](50) NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_PrepaymentPenalties] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_PrepaymentPenalties] UNIQUE NONCLUSTERED 
(
	[Code] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

END

GO


/****** Object:  Table [dbo].[Lenders] ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'Lenders'))
BEGIN	

CREATE TABLE [dbo].[Lenders](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[ContactFirstName] [nvarchar](50) NULL,
	[ContactLastName] [nvarchar](50) NULL,
	[ContactPhone] [nvarchar](50) NULL,
	[ContactEmail] [nvarchar](150) NULL,
	[LoanOriginatorId] [bigint] NULL,
	[TargetLoanSize] [varchar](50) NULL,
	[LoanTerm] [varchar](50) NULL,
	[MaximumLoanToValuePercent] [decimal](2, 2) NULL,
	[PermanentOrBridge] [varchar](50) NULL,
	[OwnerOccupied] [bit] NULL,
	[SingleTenant] [bit] NULL,
	[MinimumDebtYield] [nvarchar](500) NULL,
	[RecourseId] [bigint] NULL,
	[InterestRateSpreads] [nvarchar](150) NULL,
	[LockboxCashManagement] [bit] NULL,
	[RateLockId] [bigint] NULL,
	[ThirdPartyConsultants] [nvarchar](150) NULL,
	[Amortization] [nvarchar](150) NULL,
	[Reserves] [nvarchar](150) NULL,
	[ClosingCosts] [nvarchar](150) NULL,
	[Fees] [nvarchar](150) NULL,
	[Market] [nvarchar](150) NULL,
	[Notes] [nvarchar](500) NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_Lenders] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_Lenders] UNIQUE NONCLUSTERED 
(
	[Name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[Lenders]  WITH CHECK ADD  CONSTRAINT [FK_Lenders_LoanOriginators] FOREIGN KEY([LoanOriginatorId])
REFERENCES [dbo].[LoanOriginators] ([Id])

ALTER TABLE [dbo].[Lenders] CHECK CONSTRAINT [FK_Lenders_LoanOriginators]

ALTER TABLE [dbo].[Lenders]  WITH CHECK ADD  CONSTRAINT [FK_Lenders_RateLocks] FOREIGN KEY([RateLockId])
REFERENCES [dbo].[RateLocks] ([Id])

ALTER TABLE [dbo].[Lenders] CHECK CONSTRAINT [FK_Lenders_RateLocks]

ALTER TABLE [dbo].[Lenders]  WITH CHECK ADD  CONSTRAINT [FK_Lenders_Recourses] FOREIGN KEY([RecourseId])
REFERENCES [dbo].[Recourses] ([Id])

ALTER TABLE [dbo].[Lenders] CHECK CONSTRAINT [FK_Lenders_Recourses]

END

GO

/****** Object:  Table [dbo].[LenderPropertyTypes] ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'LenderPropertyTypes'))
BEGIN	

CREATE TABLE [dbo].[LenderPropertyTypes](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[LenderId] [bigint] NOT NULL,
	[PropertyTypeId] [bigint] NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_LenderPropertyTypes] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[LenderPropertyTypes]  WITH CHECK ADD  CONSTRAINT [FK_LenderPropertyTypes_Lender] FOREIGN KEY([LenderId])
REFERENCES [dbo].[Lenders] ([Id])

ALTER TABLE [dbo].[LenderPropertyTypes] CHECK CONSTRAINT [FK_LenderPropertyTypes_Lender]

ALTER TABLE [dbo].[LenderPropertyTypes]  WITH CHECK ADD  CONSTRAINT [FK_LenderPropertyTypes_PropertyTypes] FOREIGN KEY([PropertyTypeId])
REFERENCES [dbo].[PropertyTypes] ([Id])

ALTER TABLE [dbo].[LenderPropertyTypes] CHECK CONSTRAINT [FK_LenderPropertyTypes_PropertyTypes]

END

GO

/****** Object:  Table [dbo].[LenderExecutionTypes] ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'LenderExecutionTypes'))
BEGIN	

CREATE TABLE [dbo].[LenderExecutionTypes](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[LenderId] [bigint] NOT NULL,
	[ExecutionTypeId] [bigint] NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_LenderExecutionTypes] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[LenderExecutionTypes]  WITH CHECK ADD  CONSTRAINT [FK_LenderExecutionTypes_Lender] FOREIGN KEY([LenderId])
REFERENCES [dbo].[Lenders] ([Id])

ALTER TABLE [dbo].[LenderExecutionTypes] CHECK CONSTRAINT [FK_LenderExecutionTypes_Lender]

ALTER TABLE [dbo].[LenderExecutionTypes]  WITH CHECK ADD  CONSTRAINT [FK_LenderExecutionTypes_ExecutionTypes] FOREIGN KEY([ExecutionTypeId])
REFERENCES [dbo].[ExecutionTypes] ([Id])

ALTER TABLE [dbo].[LenderExecutionTypes] CHECK CONSTRAINT [FK_LenderExecutionTypes_ExecutionTypes]

END

GO

/****** Object:  Table [dbo].[LenderPrepaymentPenalties]    Script Date: 20/11/2018 11:22:57 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF (NOT EXISTS (SELECT TOP 1 1  
                 FROM INFORMATION_SCHEMA.TABLES 
                 WHERE TABLE_SCHEMA = 'dbo' 
				 AND  TABLE_NAME = 'LenderPrepaymentPenalties'))
BEGIN	

CREATE TABLE [dbo].[LenderPrepaymentPenalties](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ExternalGuid] [uniqueidentifier] NOT NULL,
	[LenderId] [bigint] NOT NULL,
	[PrepaymentPenaltyId] [bigint] NOT NULL,
	[UpdatedAt] [datetime2](7) NULL,
	[CreatedAt] [datetime2](7) NULL,
	[DeletedAt] [datetime2](7) NULL,
 CONSTRAINT [PK_LenderPrepaymentPenalties] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[LenderPrepaymentPenalties]  WITH CHECK ADD  CONSTRAINT [FK_LenderPrepaymentPenalties_Lender] FOREIGN KEY([LenderId])
REFERENCES [dbo].[Lenders] ([Id])

ALTER TABLE [dbo].[LenderPrepaymentPenalties] CHECK CONSTRAINT [FK_LenderPrepaymentPenalties_Lender]

ALTER TABLE [dbo].[LenderPrepaymentPenalties]  WITH CHECK ADD  CONSTRAINT [FK_LenderPrepaymentPenalties_PrepaymentPenalties] FOREIGN KEY([PrepaymentPenaltyId])
REFERENCES [dbo].[PrepaymentPenalties] ([Id])

ALTER TABLE [dbo].[LenderPrepaymentPenalties] CHECK CONSTRAINT [FK_LenderPrepaymentPenalties_PrepaymentPenalties]

END

GO

/*
	Insert to [dbo].[Recourses]: Recourse, Non-recourse, Both
*/

DECLARE @Code VARCHAR(50) = 'recourse';
DECLARE @Name NVARCHAR(150) = 'Recourse';

IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[Recourses] WHERE [Code]=@Code)
BEGIN
	INSERT INTO [dbo].[Recourses]
           ([ExternalGuid]
           ,[Code]
           ,[Name]
           ,[UpdatedAt]
           ,[CreatedAt]
           ,[DeletedAt])
     VALUES
           (NEWID()
           , @Code
           , @Name
           , GETUTCDATE()
           , GETUTCDATE()
           , NULL)
END
GO

DECLARE @Code VARCHAR(50) = 'nonrecourse';
DECLARE @Name NVARCHAR(150) = 'Non-recourse';

IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[Recourses] WHERE [Code]=@Code)
BEGIN
	INSERT INTO [dbo].[Recourses]
           ([ExternalGuid]
           ,[Code]
           ,[Name]
           ,[UpdatedAt]
           ,[CreatedAt]
           ,[DeletedAt])
     VALUES
           (NEWID()
           , @Code
           , @Name
           , GETUTCDATE()
           , GETUTCDATE()
           , NULL)
END
GO

DECLARE @Code VARCHAR(50) = 'both';
DECLARE @Name NVARCHAR(150) = 'Both';

IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[Recourses] WHERE [Code]=@Code)
BEGIN
	INSERT INTO [dbo].[Recourses]
           ([ExternalGuid]
           ,[Code]
           ,[Name]
           ,[UpdatedAt]
           ,[CreatedAt]
           ,[DeletedAt])
     VALUES
           (NEWID()
           , @Code
           , @Name
           , GETUTCDATE()
           , GETUTCDATE()
           , NULL)
END
GO

/*
	END of Insert to [dbo].[Recourses]: Recourse, Non-recourse, Both
*/

/*
	Insert to [dbo].[RateLocks]: At application, At Closing, Floating
*/

DECLARE @Code VARCHAR(50) = 'atapplication';
DECLARE @Name NVARCHAR(150) = 'At application';

IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[RateLocks] WHERE [Code]=@Code)
BEGIN
	INSERT INTO [dbo].[RateLocks]
           ([ExternalGuid]
           ,[Code]
           ,[Name]
           ,[UpdatedAt]
           ,[CreatedAt]
           ,[DeletedAt])
     VALUES
           (NEWID()
           , @Code
           , @Name
           , GETUTCDATE()
           , GETUTCDATE()
           , NULL)
END
GO

DECLARE @Code VARCHAR(50) = 'atclosing';
DECLARE @Name NVARCHAR(150) = 'At Closing';

IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[RateLocks] WHERE [Code]=@Code)
BEGIN
	INSERT INTO [dbo].[RateLocks]
           ([ExternalGuid]
           ,[Code]
           ,[Name]
           ,[UpdatedAt]
           ,[CreatedAt]
           ,[DeletedAt])
     VALUES
           (NEWID()
           , @Code
           , @Name
           , GETUTCDATE()
           , GETUTCDATE()
           , NULL)
END
GO

DECLARE @Code VARCHAR(50) = 'floating';
DECLARE @Name NVARCHAR(150) = 'Floating';

IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[RateLocks] WHERE [Code]=@Code)
BEGIN
	INSERT INTO [dbo].[RateLocks]
           ([ExternalGuid]
           ,[Code]
           ,[Name]
           ,[UpdatedAt]
           ,[CreatedAt]
           ,[DeletedAt])
     VALUES
           (NEWID()
           , @Code
           , @Name
           , GETUTCDATE()
           , GETUTCDATE()
           , NULL)
END
GO

/*
	END of Insert to [dbo].[RateLocks]: At application, At Closing, Floating
*/

/*
	Insert to [dbo].[PropertyTypes]: Retail, Office, Industrial
	, Self-Storage, Manufactured Housing, Multifamily, Hospitality
	, Mixed-Use, Marina, RV Park, Mini-Storage, Non-Owner Occupied Residential
	, Vacant Building, Entitled Land, Single Room Occupancy, Strip Retail
*/

DECLARE db_cursor_PropertyTypes CURSOR FOR 
SELECT 'Retail', 'retail' 
UNION ALL SELECT 'Office', 'office' 
UNION ALL SELECT 'Industrial', 'industrial' 
UNION ALL SELECT 'Self-Storage', 'selfstorage' 
UNION ALL SELECT 'Manufactured Housing', 'manufacturedhousing' 
UNION ALL SELECT 'Multifamily', 'multifamily' 
UNION ALL SELECT 'Hospitality', 'hospitality' 
UNION ALL SELECT 'Mixed-Use', 'mixeduse'
UNION ALL SELECT 'Marina', 'marina' 
UNION ALL SELECT 'RV Park', 'rvpark' 
UNION ALL SELECT 'Mini-Storage', 'ministorage' 
UNION ALL SELECT 'Non-Owner Occupied Residential', 'nonowneroccupiedresidential' 
UNION ALL SELECT 'Vacant Building', 'vacantbuilding' 
UNION ALL SELECT 'Entitled Land', 'entitledland' 
UNION ALL SELECT 'Single Room Occupancy', 'singleroomoccupancy' 
UNION ALL SELECT 'Strip Retail', 'stripretail';

DECLARE @Code VARCHAR(50);
DECLARE @Name NVARCHAR(150); 

OPEN db_cursor_PropertyTypes  
FETCH NEXT FROM db_cursor_PropertyTypes INTO @Name, @Code  

WHILE @@FETCH_STATUS = 0  
BEGIN  
      
	IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[PropertyTypes] WHERE [Code]=@Code)
	BEGIN
		INSERT INTO [dbo].[PropertyTypes]
			   ([ExternalGuid]
			   ,[Code]
			   ,[Name]
			   ,[UpdatedAt]
			   ,[CreatedAt]
			   ,[DeletedAt])
		 VALUES
			   (NEWID()
			   , @Code
			   , @Name
			   , GETUTCDATE()
			   , GETUTCDATE()
			   , NULL)
	END
	
    FETCH NEXT FROM db_cursor_PropertyTypes INTO @Name, @Code 
END 

CLOSE db_cursor_PropertyTypes  
DEALLOCATE db_cursor_PropertyTypes

GO 

/*
	END of Insert to [dbo].[PropertyTypes]: Retail, Office, Industrial
	, Self-Storage, Manufactured Housing, Multifamily, Hospitality
	, Mixed-Use, Marina, RV Park, Mini-Storage, Non-Owner Occupied Residential
	, Vacant Building, Entitled Land, Single Room Occupancy, Strip Retail
*/

/*
	Insert to [dbo].[ExecutionTypes]: 'Insurance Company', 'CMBS', 'Agency'
	, 'Bridge', 'Bank', 'Hard Money', 'Credit Union'
*/

DECLARE db_cursor_ExecutionTypes CURSOR FOR 
SELECT 'Insurance Company', 'insurancecompany'
UNION ALL SELECT 'CMBS', 'cmbs'
UNION ALL SELECT 'Agency', 'agency'
UNION ALL SELECT 'Bridge', 'bridge'
UNION ALL SELECT 'Bank', 'bank'
UNION ALL SELECT 'Hard Money', 'hardmoney'
UNION ALL SELECT 'Credit Union', 'creditunion';

DECLARE @Code VARCHAR(50);
DECLARE @Name NVARCHAR(150); 

OPEN db_cursor_ExecutionTypes  
FETCH NEXT FROM db_cursor_ExecutionTypes INTO @Name, @Code  

WHILE @@FETCH_STATUS = 0  
BEGIN  
      
	IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[ExecutionTypes] WHERE [Code]=@Code)
	BEGIN
		INSERT INTO [dbo].[ExecutionTypes]
			   ([ExternalGuid]
			   ,[Code]
			   ,[Name]
			   ,[UpdatedAt]
			   ,[CreatedAt]
			   ,[DeletedAt])
		 VALUES
			   (NEWID()
			   , @Code
			   , @Name
			   , GETUTCDATE()
			   , GETUTCDATE()
			   , NULL)
	END
	
    FETCH NEXT FROM db_cursor_ExecutionTypes INTO @Name, @Code 
END 

CLOSE db_cursor_ExecutionTypes  
DEALLOCATE db_cursor_ExecutionTypes

GO 

/*
	END of Insert to [dbo].[ExecutionTypes]: 'Insurance Company', 'CMBS', 'Agency'
	, 'Bridge', 'Bank', 'Hard Money', 'Credit Union'
*/

/*
	Insert to [dbo].[PrepaymentPenalties]: : Yield Maintenance, Step Down
	, Lockout, Defeasance, No Exit Fee, Minimum Interest, None
*/


DECLARE db_cursor_PrepaymentPenalties CURSOR FOR 
SELECT 'Yield Maintenance', 'yieldmaintenance'
UNION ALL SELECT 'Step Down', 'stepdown'
UNION ALL SELECT 'Lockout', 'lockout'
UNION ALL SELECT 'Defeasance', 'defeasance'
UNION ALL SELECT 'No Exit Fee', 'noexitfee'
UNION ALL SELECT 'Minimum Interest', 'minimuminterest'
UNION ALL SELECT 'None', 'none'

DECLARE @Code VARCHAR(50);
DECLARE @Name NVARCHAR(150); 

OPEN db_cursor_PrepaymentPenalties  
FETCH NEXT FROM db_cursor_PrepaymentPenalties INTO @Name, @Code  

WHILE @@FETCH_STATUS = 0  
BEGIN  
      
	IF NOT EXISTS (SELECT TOP 1 1 FROM [dbo].[PrepaymentPenalties] WHERE [Code]=@Code)
	BEGIN
		INSERT INTO [dbo].[PrepaymentPenalties]
			   ([ExternalGuid]
			   ,[Code]
			   ,[Name]
			   ,[UpdatedAt]
			   ,[CreatedAt]
			   ,[DeletedAt])
		 VALUES
			   (NEWID()
			   , @Code
			   , @Name
			   , GETUTCDATE()
			   , GETUTCDATE()
			   , NULL)
	END
	
    FETCH NEXT FROM db_cursor_PrepaymentPenalties INTO @Name, @Code 
END 

CLOSE db_cursor_PrepaymentPenalties  
DEALLOCATE db_cursor_PrepaymentPenalties

GO 

/*
	END of Insert to [dbo].[PrepaymentPenalties]: Yield Maintenance, Step Down
	, Lockout, Defeasance, No Exit Fee, Minimum Interest, None
*/

/***************
     END of Release Changeset for Milk Duds - LM Phase 1
***************/


/***************
     Release Changeset for Candy Corn
***************/

/*
    Start: DP-983 [DP] Create New Loan: Add Bridge question
*/
  
    IF NOT EXISTS(SELECT TOP 1 1 FROM sys.columns WHERE object_id = OBJECT_ID('dbo.Loans') and name='LoanType')
    BEGIN
        ALTER TABLE dbo.Loans
        ADD LoanType nvarchar(20) NULL
    END

    GO
/*
    End: DP-983 [DP] Create New Loan: Add Bridge question
*/

/*
    Start: DP-1084 Change Property Address/Property Name limit to 150 characters
*/
  
    IF EXISTS(SELECT TOP 1 1 FROM sys.columns WHERE object_id = OBJECT_ID('dbo.PropertyDetails') and name='Name')
    BEGIN
		IF (COL_LENGTH( 'dbo.PropertyDetails' , 'Name' )  = 100)
		BEGIN
			ALTER TABLE [dbo].[PropertyDetails]
			ALTER COLUMN [NAME] NVARCHAR(150) NULL
		END
        
    END

    GO
/*
    End: DP-1084 Change Property Address/Property Name limit to 150 characters
*/

/***************
     END of Release Changeset for Candy Corn
***************/