--NOTE
--Additional test data
--make sure to do exist checks since this script will run continuously after every commit

--Create Contact
UPDATE [dbo].Contacts
SET 
    [Firstname] = N'Franklin',
    [Lastname] = N'Aguinaldo',
    [Middlename] = N'Mendoza',
    [PrimaryEmail] = N'franklin@plumlending.com',
    [PrimaryContactNumber] = N'+1-562-881-1674'
WHERE [ExternalGuid] = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')
IF @@ROWCOUNT=0
BEGIN
    INSERT [dbo].Contacts (
        [ExternalGuid],
        [Firstname],
        [Lastname],
        [Middlename],
        [PrimaryEmail],
        [PrimaryContactNumber]) 
        VALUES (
            CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'),
            N'Franklin',
            N'Aguinaldo',
            N'Mendoza',
            N'franklin@plumlending.com',
            N'+1-562-881-1674'
    )
END

-- Create Property Details
UPDATE [dbo].[PropertyDetails]
SET 
    [Name] = N'Plum Building',
    [Address] = N'445 Bush St. San Francisco, 94080'
WHERE [ExternalGuid] = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')
IF @@ROWCOUNT=0
BEGIN
    INSERT INTO [dbo].[PropertyDetails] (
            [Name]
            ,[Address]
            ,[ExternalGuid]
            )
        VALUES 
            (
            N'Plum Building',
            N'445 Bush St. San Francisco, 94080',
            CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')
            )
END

--Create Loan
UPDATE [dbo].[Loans]
SET 
    [PropertyDetailId] = (SELECT Id FROM PropertyDetails WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'))
WHERE [ExternalGuid] = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')
IF @@ROWCOUNT=0
BEGIN
    INSERT INTO [dbo].[Loans] (
            [ExternalGuid]
            ,[PropertyDetailId]
            )
        VALUES 
            (
            CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'),
            (SELECT Id FROM PropertyDetails WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'))
            )
END

--Create Borrower
UPDATE [dbo].[Borrowers]
SET 
    [ContactId] = (SELECT Id FROM Contacts WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')),
    [LoanId] = (SELECT Id FROM Loans WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')),
    [IsPrimary] = 1
WHERE [ExternalGuid] = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')
IF @@ROWCOUNT=0
BEGIN
    INSERT INTO [dbo].[Borrowers] (
            [ExternalGuid]
            ,[ContactId]
            ,[LoanId]
            ,[IsPrimary]
            )
        VALUES 
            (
            CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'),
            (SELECT Id FROM Contacts WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')),
            (SELECT Id FROM Loans WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')),
            1
            )
END

--Create DocumentRequests
UPDATE [dbo].[DocumentRequests]
SET 
    [LoanId] = (SELECT Id FROM Loans WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'))
WHERE [ExternalGuid] = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')
IF @@ROWCOUNT=0
BEGIN
    INSERT INTO [dbo].[DocumentRequests] (
            [ExternalGuid]
            ,[LoanId]
            )
        VALUES 
            (
            CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'),
            (SELECT Id FROM Loans WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'))
            )
END

--Create RequestedDocuments
UPDATE [dbo].[RequestedDocuments]
SET 
    [ChecklistId] = (SELECT Id FROM Checklist WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'))
    ,[DocumentRequestId] = (SELECT Id FROM DocumentRequests WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'))
    ,[Status] = 'Queue'
    ,[ApprovedOn] = NULL
    ,[CreatedAt] = GETDATE()
    ,[UpdatedAt] = NULL
WHERE [ExternalGuid] = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')
IF @@ROWCOUNT=0
BEGIN
    INSERT INTO [dbo].[RequestedDocuments] (
            [ExternalGuid]
            ,[ChecklistId]
            ,[DocumentRequestId]
            ,[Status]
            ,[ApprovedOn]
            ,[CreatedAt]
            ,[UpdatedAt]
            )
        VALUES 
            (
            CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111'),
            (SELECT Id FROM Checklist WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')),
            (SELECT Id FROM DocumentRequests WHERE ExternalGuid = CONVERT(uniqueidentifier,N'11111111-1111-1111-1111-111111111111')),
            'Queue',
            null,
            GETDATE(),
            null
            )
END




