"use strict";

const Sequelize = require("sequelize");
const ModelLoader = require('./model-loader');
const ModelAssociation = require('./model-association');

function Connect(config) {

    var sequelize = new Sequelize(config.connection.database, config.connection.user, config.connection.password, {
        host: config.connection.host,
        dialect: config.client,
        logging: console.log,
        dialectOptions: {
            requestTimeout: 20000
        },
        define: {
            timestamps: true,
            paranoid: true
        }
    });

    const models = ModelLoader.import(sequelize);
    ModelAssociation.build(models);

    for (var name in models) {
        module.exports[name] = models[name];
    }

    module.exports.sequelize = sequelize;

}

module.exports = Connect;



