const ModelLoader = (() => {

    let _models = {};

    _import = (sequelize) => {
        //Alphabetical
        const _modelNames = [
            "Borrowers",
            "Checklist",
            "Comments",
            "ContactMetadata",
            "Contacts",
            "ContactDocumentRequests",
            "DocumentCategories",
            "DocumentRequests",
            "DocumentStatuses",
            "ExecutionTypes",
            "LenderExecutionTypes",
            "LenderPrepaymentPenalties",
            "LenderPropertyTypes",
            "Lenders",
            "LoanDocumentRequests",            
            "LoanStatuses",
            "Loans",
            "PrepaymentPenalties",
            "PropertyDetails",
            "PropertyTypes",
            "ProspectInformation",
            "QuickSelectDocuments",
            "QuickSelectLists",
            "RateLocks",
            "Recourses",
            "RequestedDocuments",
            "UploadedDocuments",
            "DefaultQuickSelectList",
            "LoanOriginators"
        ];

        _modelNames.forEach(function (name) {              
            _models[name] = sequelize.import(__dirname + '/models/' + name);            
        });

        return _models;
    };

    return {
        import: _import
    };
})();

module.exports = ModelLoader;