/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('borrowers', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    contactId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'Contacts',
        key: 'Id'
      },
      field: 'ContactId'
    },
    loanId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'Loans',
        key: 'Id'
      },
      field: 'LoanId'
    },
    isPrimary: {
      type: DataTypes.BOOLEAN,
      allowNull: false,
      defaultValue: '1',
      field: 'IsPrimary'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'Borrowers'
  });
};
