/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('checklist', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    documentCategoryId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'DocumentCategories',
        key: 'Id'
      },
      field: 'DocumentCategoryId'
    },
    documentCode: {
      type: DataTypes.STRING,
      allowNull: false,
      field: 'DocumentCode'
    },
    documentName: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'DocumentName'
    },
    isDeleted: {
      type: DataTypes.BOOLEAN,
      allowNull: true,
      field: 'IsDeleted'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'Checklist'
  });
};
