/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('comments', {
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    commentText: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'CommentText'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    },
    loanId: {
      type: DataTypes.BIGINT,
      allowNull: true,
      references: {
        model: 'Loans',
        key: 'Id'
      },
      field: 'LoanId'
    },
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    commentedBy: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'CommentedBy'
    }
  }, {
    tableName: 'Comments'
  });
};
