/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('contactMetadata', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    contactId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'Contacts',
        key: 'Id'
      },
      field: 'ContactId'
    },
    invitedDate: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'InvitedDate'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'UpdatedAt'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'CreatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    },
    lastLogin: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'LastLogin'
    },
    invitedByUser: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'InvitedByUser'
    },
    signedUpDate: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'SignedUpDate'
    }
  }, {
    tableName: 'ContactMetadata'
  });
};
