/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('contacts', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    firstname: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Firstname'
    },
    middlename: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Middlename'
    },
    lastname: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Lastname'
    },
    primaryEmail: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'PrimaryEmail'
    },
    primaryContactNumber: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'PrimaryContactNumber'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'Contacts'
  });
};
