/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('defaultQuickSelectList', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    propertyType: {
      type: DataTypes.STRING,
      allowNull: false,
      field: 'PropertyType'
    },
    quickSelectListId: {
      type: DataTypes.BIGINT,
      allowNull: true,
      references: {
        model: 'QuickSelectLists',
        key: 'Id'
      },
      field: 'QuickSelectListId'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'DefaultQuickSelectList'
  });
};
