/* jshint indent: 1 */

module.exports = function(sequelize, DataTypes) {
	return sequelize.define('lenderExecutionTypes', {
		id: {
			type: DataTypes.BIGINT,
			allowNull: false,
			primaryKey: true,
			autoIncrement: true,
			field: 'Id'
		},
		externalGuid: {
			type: DataTypes.UUIDV4,
			allowNull: false,
			field: 'ExternalGuid'
		},
		lenderId: {
			type: DataTypes.BIGINT,
			allowNull: false,
			references: {
				model: 'Lenders',
				key: 'Id'
			},
			field: 'LenderId'
		},
		executionTypeId: {
			type: DataTypes.BIGINT,
			allowNull: false,
			references: {
				model: 'ExecutionTypes',
				key: 'Id'
			},
			field: 'ExecutionTypeId'
		},
		updatedAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'UpdatedAt'
		},
		createdAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'CreatedAt'
		},
		deletedAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'DeletedAt'
		}
	}, {
		tableName: 'LenderExecutionTypes'
	});
};
