/* jshint indent: 1 */

module.exports = function(sequelize, DataTypes) {
	return sequelize.define('lenders', {
		id: {
			type: DataTypes.BIGINT,
			allowNull: false,
			primaryKey: true,
			autoIncrement: true,
			field: 'Id'
		},
		externalGuid: {
			type: DataTypes.UUIDV4,
			allowNull: false,
			field: 'ExternalGuid'
		},
		name: {
			type: DataTypes.STRING,
			allowNull: false,
			field: 'Name'
		},
		contactFirstName: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'ContactFirstName'
		},
		contactLastName: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'ContactLastName'
		},
		contactPhone: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'ContactPhone'
		},
		contactEmail: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'ContactEmail'
		},
		loanOriginatorId: {
			type: DataTypes.BIGINT,
			allowNull: true,
			references: {
				model: 'LoanOriginators',
				key: 'Id'
			},
			field: 'LoanOriginatorId'
		},
		targetLoanSize: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'TargetLoanSize'
		},
		loanTerm: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'LoanTerm'
		},
		maximumLoanToValuePercent: {
			type: DataTypes.DECIMAL,
			allowNull: true,
			field: 'MaximumLoanToValuePercent'
		},
		permanentOrBridge: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'PermanentOrBridge'
		},
		ownerOccupied: {
			type: DataTypes.BOOLEAN,
			allowNull: true,
			field: 'OwnerOccupied'
		},
		singleTenant: {
			type: DataTypes.BOOLEAN,
			allowNull: true,
			field: 'SingleTenant'
		},
		minimumDebtYield: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'MinimumDebtYield'
		},
		recourseId: {
			type: DataTypes.BIGINT,
			allowNull: true,
			references: {
				model: 'Recourses',
				key: 'Id'
			},
			field: 'RecourseId'
		},
		interestRateSpreads: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'InterestRateSpreads'
		},
		lockboxCashManagement: {
			type: DataTypes.BOOLEAN,
			allowNull: true,
			field: 'LockboxCashManagement'
		},
		rateLockId: {
			type: DataTypes.BIGINT,
			allowNull: true,
			references: {
				model: 'RateLocks',
				key: 'Id'
			},
			field: 'RateLockId'
		},
		thirdPartyConsultants: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'ThirdPartyConsultants'
		},
		amortization: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'Amortization'
		},
		reserves: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'Reserves'
		},
		closingCosts: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'ClosingCosts'
		},
		fees: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'Fees'
		},
		market: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'Market'
		},
		notes: {
			type: DataTypes.STRING,
			allowNull: true,
			field: 'Notes'
		},
		updatedAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'UpdatedAt'
		},
		createdAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'CreatedAt'
		},
		deletedAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'DeletedAt'
		}
	}, {
		tableName: 'Lenders'
	});
};
