/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('loanDocumentRequests', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    loanId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'Loans',
        key: 'Id'
      },
      field: 'LoanId'
    },
    documentRequestId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'DocumentRequests',
        key: 'Id'
      },
      field: 'DocumentRequestId'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'LoanDocumentRequests'
  });
};
