/* jshint indent: 1 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('loans', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    propertyDetailId: {
      type: DataTypes.BIGINT,
      allowNull: true,
      references: {
        model: 'PropertyDetails',
        key: 'Id'
      },
      field: 'PropertyDetailId'
    },
    loanAmount: {
      type: DataTypes.BIGINT,
      allowNull: true,
      field: 'LoanAmount'
    },
    status: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Status'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    applicationReceiptDate: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'ApplicationReceiptDate'
    },
    targetFundingDate: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'TargetFundingDate'
    },
    propertyType: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'PropertyType'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    },
    isPendingDeletion: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'IsPendingDeletion'
    },
    loanPurpose: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'LoanPurpose'
    },
    ownerOccupancy: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'OwnerOccupancy'
    },
    executionType: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'ExecutionType'
    },
    multiFamilyUnitRange: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'MultiFamilyUnitRange'
    },
    originator: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Originator'
    },
    loanType: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'LoanType'
    }
  }, {
    tableName: 'Loans'
  });
};
