/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('propertyDetails', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    name: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Name'
    },
    address: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Address'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    streetAddress: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'StreetAddress'
    },
    city: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'City'
    },
    state: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'State'
    },
    zipCode: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'ZipCode'
    },
    country: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Country'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'PropertyDetails'
  });
};
