/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('quickSelectDocuments', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    quickSelectId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'QuickSelectLists',
        key: 'Id'
      },
      field: 'QuickSelectId'
    },
    checklistId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'Checklist',
        key: 'Id'
      },
      field: 'ChecklistId'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'QuickSelectDocuments'
  });
};
