/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('quickSelectLists', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    name: {
      type: DataTypes.STRING,
      allowNull: false,
      field: 'Name'
    },
    description: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Description'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    },
    isDefaultChecklist: {
      type: DataTypes.BOOLEAN,
      allowNull: true,
      field: 'IsDefaultChecklist'
    },
    createdBy: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'CreatedBy'
    }
  }, {
    tableName: 'QuickSelectLists'
  });
};
