/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('requestedDocuments', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    checklistId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'Checklist',
        key: 'Id'
      },
      field: 'ChecklistId'
    },
    documentRequestId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'DocumentRequests',
        key: 'Id'
      },
      field: 'DocumentRequestId'
    },
    status: {
      type: DataTypes.STRING,
      allowNull: false,
      field: 'Status'
    },
    approvedOn: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'ApprovedOn'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    }
  }, {
    tableName: 'RequestedDocuments'
  });
};
