/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
  return sequelize.define('uploadedDocuments', {
    id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
      field: 'Id'
    },
    externalGuid: {
      type: DataTypes.UUID,
      allowNull: false,
      field: 'ExternalGuid'
    },
    requestedDocumentId: {
      type: DataTypes.BIGINT,
      allowNull: false,
      references: {
        model: 'RequestedDocuments',
        key: 'Id'
      },
      field: 'RequestedDocumentId'
    },
    originalname: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Originalname'
    },
    encoding: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Encoding'
    },
    mimetype: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Mimetype'
    },
    destination: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Destination'
    },
    filename: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Filename'
    },
    path: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'Path'
    },
    size: {
      type: DataTypes.BIGINT,
      allowNull: true,
      field: 'Size'
    },
    createdAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'CreatedAt'
    },
    updatedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: DataTypes.NOW,
      field: 'UpdatedAt'
    },
    deletedAt: {
      type: DataTypes.DATE,
      allowNull: true,
      field: 'DeletedAt'
    },
    uploadedBy: {
      type: DataTypes.STRING,
      allowNull: true,
      field: 'UploadedBy'
    }
  }, {
    tableName: 'UploadedDocuments'
  });
};
